<?php

class actionUnfinderMove extends cmsAction{

    public function run(){

		$user = cmsUser::getInstance();
		
		$template = cmsTemplate::getInstance();

		if (!$user->is_admin) { cmsCore::error404(); }       

		$form = $this->getForm('move');
        
        $template->addBreadcrumb('Перемещение файлов');
		$options = $form->parse($this->request, true);
        $errors = false;
		
		if ($this->request->has('submit')){

            
            $errors  = $form->validate($this, $options);

            if (!$errors){
					$move = $this->move();
					if ($options['clean'] == 1) {
					$clean = $this->clean();
					cmsUser::addSessionMessage('Удалено пустых папок: '.$clean, 'success');
					}
					if (!empty($move)){
						$this->redirectToAction('arch');
					}
				}   

            

            if ($errors){

                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');

            }
			

        }

		$template = cmsTemplate::getInstance();
		        return $template->render('backend/move', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
        ));

    }

    

}
